Subject: Re: bug#18856: 24.4; *grep* output buffer not getting fontified when jit-lock-defer-time is used

From: Stefan Monnier <[email-masked]>
Date: Wed, 29 Oct 2014 00:06:14 -0400

>> To only defer fontification when we know "for sure" that the user is
>> waiting for further processing.
> Sorry, you lost me.  When input is pending, what further processing is
> the user waiting for?

The user is waiting for Emacs to process the input that he's already sent.

> I don't think this is too high a price.  First, as Alain established,
> what takes 90% of the time is not redisplay, but fontifications, and
> those are run only once.

This 90% is for CC-mode, where font-lock is particularly expensive.

> And second, the 2nd redisplay will only redraw the portions that were
> fontified, not the entire window.  So this is not "twice", but more
> like 1.2 times.

The 1st redisplay also only redrew the portion that was modified, which
is pretty close in many cases to the portion that later gets fontified.

        Stefan